# std::insert_iterator::operator*

From cppreference.com
< cpp‎ | iterator‎ | insert iterator

insert_iterator& operator*(); |  |

Does nothing, this member function is provided to satisfy the requirements of `OutputIterator`.

It returns the iterator itself, which makes it possible to use code such as *iter = value to output (insert) the value into the underlying container.

### Parameters

(none)

### Return value

*this

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/iterator/insert_iterator/operator*&oldid=42353"